Summary:	Utility to control ethernet cards
Summary(es.UTF-8):	Grupos de herramientas Ethernet
Summary(pl.UTF-8):	Narzędzie do kontrolowania kart ethernet
Summary(pt_BR.UTF-8):	Ferramenta de configuração para placas ethernet PCI
Name:		ethtool
Version:	5.18
Release:	1
Epoch:		1
License:	GPL v2
Group:		Networking/Admin
Source0:	https://www.kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.xz
# Source0-md5:	8c606ddd61bbf62c0948be8bd54f87a0
URL:		https://www.kernel.org/pub/software/network/ethtool/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libmnl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ethtool is a small utility for examining and tuning your
ethernet-based network interface.

%description -l es.UTF-8
Grupos de herramientas Ethernet.

%description -l pl.UTF-8
ethtool to niewielkie narzędzie do kontroli i tuningu sieciowych kart
ethernet.

%description -l pt_BR.UTF-8
Este utilitário permite consulta e alteração da configuração de placas
ethernet, como velocidade, porta, negociação automática e localização
PCI.

%package -n bash-completion-%{name}
Summary:	Bash completion for ethtool command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia ethtool
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-%{name}
Bash completion for ethtool command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia ethtool.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bash-completion-dir=%{bash_compdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_sbindir}/ethtool
%{_mandir}/man8/ethtool.8*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ethtool.git;a=log;h=auto/th/ethtool-5.18-1

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ca2205
- updated to 5.18

* Sat May 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 9778661
- updated to 5.17

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> cfddf43
- updated to 5.15

* Mon Nov 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 73be86d
- updated to 5.14

* Sat Jul 10 2021 Adam Gołębiowski <adamg@pld-linux.org> 2fca173
- updated to 5.13

* Sun May 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 063cc60
- updated to 5.12
- noarch bash-completion- package

* Wed Dec 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 1bb3e30
- updated to 5.10

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 27edd44
- updated to 5.9

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> f5c9608
- updated to 5.8

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> bace308
- updated to 5.7
- removed obsolete format patch

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> b94364f
- updated to 5.6
- added format patch

* Sat Feb 08 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c69477
- up to 5.4

* Wed Sep 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 01ae465
- updated to 5.3

* Sun Sep 01 2019 Jakub Bogusz <qboosh@pld-linux.org> d88bd08
- updated to 5.2

* Sat May 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 3407524
- bash-completion subpackage

* Sat May 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 367ba5a
- updated to 5.1

* Sun Mar 31 2019 Jan Rękorajski <baggins@pld-linux.org> 6c9e909
- release 2 (by relup.sh)

* Thu Mar 14 2019 Adam Gołębiowski <adamg@pld-linux.org> faed291
- updated to 5.0

* Sat Nov 03 2018 Adam Gołębiowski <adamg@pld-linux.org> 7eda394
- updated to 4.19

* Wed Oct 03 2018 Adam Gołębiowski <adamg@pld-linux.org> c6fcf1e
- updated to 4.18

